aboutsummaryrefslogtreecommitdiffstats
path: root/search-data-service-app/src/main/bin/start.sh
diff options
context:
space:
mode:
authorEdwin Lawrance <Edwin.Lawrance@amdocs.com>2019-03-04 11:08:03 +0000
committerEdwin Lawrance <Edwin.Lawrance@amdocs.com>2019-03-04 11:08:03 +0000
commit57ccc376054d09367dc4bf8855adea1f19a87b3f (patch)
tree67de91111838b3f3da1f395896f1704c1cb68464 /search-data-service-app/src/main/bin/start.sh
parent82a366e562c5517a9b66fb647bfb699530e19ca3 (diff)
Update poms to conform to merge job requirements
Change-Id: Ic989e9538b67214e43faf221724ed5d36bfc6d03 Issue-ID: AAI-2203 Signed-off-by: Edwin Lawrance <Edwin.Lawrance@amdocs.com>
Diffstat (limited to 'search-data-service-app/src/main/bin/start.sh')
-rw-r--r--search-data-service-app/src/main/bin/start.sh33
1 files changed, 33 insertions, 0 deletions
diff --git a/search-data-service-app/src/main/bin/start.sh b/search-data-service-app/src/main/bin/start.sh
new file mode 100644
index 0000000..5248a7a
--- /dev/null
+++ b/search-data-service-app/src/main/bin/start.sh
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+BASEDIR="/opt/app/search-data-service"
+AJSC_HOME="$BASEDIR"
+AJSC_CONF_HOME="$AJSC_HOME/bundleconfig/"
+
+if [ -z "$CONFIG_HOME" ]; then
+ echo "CONFIG_HOME must be set in order to start up process"
+ exit 1
+fi
+
+if [ -z "$KEY_STORE_PASSWORD" ]; then
+ echo "KEY_STORE_PASSWORD must be set in order to start up process"
+ exit 1
+fi
+
+PROPS="-DAJSC_HOME=$AJSC_HOME"
+PROPS="$PROPS -DAJSC_CONF_HOME=$AJSC_CONF_HOME"
+PROPS="$PROPS -Dlogging.config=$BASEDIR/bundleconfig/etc/logback.xml"
+PROPS="$PROPS -DCONFIG_HOME=$CONFIG_HOME"
+PROPS="$PROPS -DKEY_STORE_PASSWORD=$KEY_STORE_PASSWORD"
+
+if [ ! -z "$TRUST_STORE_PASSWORD" ]; then
+ PROPS="$PROPS -DTRUST_STORE_PASSWORD=${TRUST_STORE_PASSWORD}"
+fi
+
+if [ ! -z "$TRUST_STORE_LOCATION" ]; then
+ PROPS="$PROPS -DTRUST_STORE_LOCATION=${TRUST_STORE_LOCATION}"
+fi
+
+JVM_MAX_HEAP=${MAX_HEAP:-1024}
+
+java $PROPS -jar $BASEDIR/search-data-service-package.jar \ No newline at end of file